Subject: [bug#58652] Creating home-emacs-service-type

From: Joshua Branson <[email-masked]>
Date: Fri, 21 Oct 2022 11:42:23 -0400

Liliana Marie Prikler <[email-masked]> writes:

> Am Donnerstag, dem 20.10.2022 um 11:30 -1000 schrieb Zain Jabbar:
>> Aloha All,
>> 
>> Thank you for your input.
>> 
>> > Note that you reverted the patch direction.
>> 
>> Please forgive me for that. Is it possible to explain what I did
>> wrong? I will outline my steps to help you figure out what I did
>> incorrectly.
>> 
>> 1. I cloned the repo
>> 2. Used =guix shell -D guix=
>> 3. Ran =./bootstrap=
>> 4. Ran =./configure --localstatedir=/var=
>> 5. Ran =make && make check=. By the way, my =make check= had a failed
>> test, I don't know if that was expected.
>> 6. Made some commits
>> 7. I used =git diff HEAD origin/HEAD > my-guix-patch.patch=.
>> 
>> I might have messed around too much in my cloned repo, throwing
>> something off.
> Instead of 6+7, write a single commit and use =git format-patch=.
>
> You can of course do multi-patch series, but this feature seems not to
> be one that requires that.  Always clean up your commit log after a
> hacking session ;)

I personally find it really easy to use git send-email.  :)

Assuming you are in the guix git directory, then this command will send
the latest commit as a patch to the guix-patches email list.

#+BEGIN_SRC sh
git send-email --to=[email-masked]' \
--cc=[email-masked]' \
--subject-prefix='Patch staging '  --annotate  HEAD^
#+END_SRC

This website will walk you through setting up git send email.

https://git-send-email.io/